Bug 515079 - Review Request: perl-Config-Model - Framework to create configuration validation tools and editors
Review Request: perl-Config-Model - Framework to create configuration validat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516280 516281 516287 516293
  Show dependency treegraph
 
Reported: 2009-08-01 13:52 EDT by David Hannequin
Modified: 2009-08-27 18:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.638-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 18:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
david.hannequin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Hannequin 2009-08-01 13:52:16 EDT
Spec URL: http://hvad.cfppa-cibeins.com/perl-modules/perl-Config-Model/perl-Config-Model.spec
SRPM URL: http://hvad.cfppa-cibeins.com/perl-modules/perl-Config-Model/perl-Config-Model-0.638-1.fc10.src.rpm
Description: Using Config::Model, a typical configuration validation tool will be
 made of 3 parts :
1. The user interface
2. The validation engine which is in charge of validating all the 
configuration information provided by the user.
3. The storage facility that store the configuration information
Comment 1 Jason Tibbitts 2009-08-01 14:39:09 EDT
This fails to build for me in rawhide:

RPM build errors:
    File not found: /builddir/build/BUILDROOT/perl-Config-Model-0.638-1.fc12.x86_64/usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi/auto/Config

I'm on x86_64, so I doubt i386-linux-thread-multi is going to be the proper directory, but then this is supposed to be a noarch package so why does it put anything in an arch-specific directory?
Comment 2 Jason Tibbitts 2009-08-01 14:45:00 EDT
Oh, and I didn't even notice the /usr/local.  No Fedora package can ever put anything there.

Glancing at the spec, there are various other significant issues.  Is there any specific reason not to just use cpanspec to autogenerate a package?  The package it generates needs slight editing (check the License:, tweak the %description) but otherwise would lead to a quick approval.  If you really want to roll your own, I recommend at least looking to the cpanspec-generated spec or the specfile templates in the packaging guidelines for an idea of how to do it.
Comment 4 Iain Arnell 2009-08-08 05:57:09 EDT
+ source files match upstream.  
  ea1cf6bdbcc0ee400592a44b138dba6404bc6b45  Config-Model-0.638.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
- license field matches the actual license.
  should be LGPLv2+

+ license is open source-compatible.
+ license text included.
+ latest version is being packaged.
- BuildRequires are proper.
  missing perl(Test::Pod)

+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1590883

+ package installs properly.
- rpmlint has complaints:
  perl-Config-Model.noarch: I: checking
  perl-Config-Model.noarch: W: invalid-license LGPL
  perl-Config-Model.src: I: checking
  perl-Config-Model.src: W: invalid-license LGPL
  2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ final provides and requires are sane:
  perl(Config::Model) = 0.638
  perl(Config::Model::AnyId) = 914
  perl(Config::Model::AnyThing) = 845
  perl(Config::Model::AutoRead) = 978
  perl(Config::Model::CheckList) = 978
  perl(Config::Model::Describe) = 669
  perl(Config::Model::DumpAsData) = 978
  perl(Config::Model::Dumper) = 906
  perl(Config::Model::Exception) = 790
  perl(Config::Model::Exception::Any)  
  perl(Config::Model::Exception::Load)  
  perl(Config::Model::Exception::LoadData)  
  perl(Config::Model::Exception::Model)  
  perl(Config::Model::Exception::ObsoleteElement)  
  perl(Config::Model::Exception::RestrictedElement)  
  perl(Config::Model::Exception::UnavailableElement)  
  perl(Config::Model::Exception::UnknownElement)  
  perl(Config::Model::Exception::UnknownId)  
  perl(Config::Model::Exception::WrongType)  
  perl(Config::Model::Exception::Xml)  
  perl(Config::Model::HashId) = 905
  perl(Config::Model::IdElementReference) = 775
  perl(Config::Model::Instance) = 968
  perl(Config::Model::ListId) = 861
  perl(Config::Model::Loader) = 717
  perl(Config::Model::Node) = 935
  perl(Config::Model::ObjTreeScanner) = 715
  perl(Config::Model::Report) = 641
  perl(Config::Model::Searcher) = 905
  perl(Config::Model::SimpleUI) = 541
  perl(Config::Model::TermUI) = 669
  perl(Config::Model::Value) = 978
  perl(Config::Model::ValueComputer) = 905
  perl(Config::Model::WarpedNode) = 993
  perl(Config::Model::WarpedThing) = 729
  perl(Config::Model::WizardHelper) = 790
  perl-Config-Model = 0.638-2.fc12
=
  /usr/bin/perl  
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Carp)  
  perl(Carp::Assert::More)  
  perl(Carp::Assert::More)  
  perl(Config::Model)  
  perl(Config::Model::Describe)  
  perl(Config::Model::DumpAsData)  
  perl(Config::Model::Dumper)  
  perl(Config::Model::Exception)  
  perl(Config::Model::IdElementReference)  
  perl(Config::Model::Instance)  
  perl(Config::Model::Loader)  
  perl(Config::Model::Node)  
  perl(Config::Model::ObjTreeScanner)  
  perl(Config::Model::Report)  
  perl(Config::Model::Searcher)  
  perl(Config::Model::ValueComputer)  
  perl(Config::Model::WizardHelper)  
  perl(Config::Tiny)  
  perl(Data::Dumper)  
  perl(Exception::Class)  
  perl(Exception::Class)  
  perl(Exporter)  
  perl(File::Path)  
  perl(Getopt::Long)  
  perl(IO::File)  
  perl(Log::Log4perl)  
  perl(Log::Log4perl) >= 1.11
  perl(Parse::RecDescent)  
  perl(Parse::RecDescent) >= 1.90.0
  perl(Pod::Usage)  
  perl(Scalar::Util)  
  perl(Storable)  
  perl(Term::ReadLine)  
  perl(Text::Wrap)  
  perl(UNIVERSAL)  
  perl(base)  
  perl(strict)  
  perl(vars)  
  perl(warnings)  
  perl(warnings::register)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

- %check is present and all tests pass.
  t/pod.t ................... skipped: Test::Pod 1.00 required for testing POD
  [snip]
  All tests successful.
  Files=33, Tests=989,  9 wallclock secs ( 0.17 usr  0.08 sys +  7.98 cusr  0.78 csys =  9.01 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


Looking pretty good - just a missing BR: perl(Test::Pod), and the license tag needs to be changed.

You could also remove a couple of the explicit Requires, but it's not strictly necessary to do so:
  perl(Carp::Assert::More)  
  perl(Exception::Class)
Comment 5 David Hannequin 2009-08-08 09:33:20 EDT
Hi,

New spec file and SRPM :

Spec URL:
http://hvad.cfppa-cibeins.com/perl-modules/perl-Config-Model/perl-Config-Model.spec
SRPM URL:
http://hvad.cfppa-cibeins.com/perl-modules/perl-Config-Model/perl-Config-Model-0.638-2.fc10.src.rpm

I contact upstream to clarify license LGPL or GPL+ or Artistic.

Best regard
Comment 6 Iain Arnell 2009-08-08 10:17:55 EDT
I didn't mean to suggest that the license needs to be clarified - it's quite clearly LGPL 2.1 or later.  Just that LGPL isn't acceptable as a license tag (see http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#GPL_and_LGPL) - it needs to be LGPLv2+ (and yes, it's 2+, not 2.1+)

With that one change, I'll approve.
Comment 8 Jochen Schmitt 2009-08-09 13:52:44 EDT
@ lain,

If you want tprovo ape a package please set the fedora-review flag to '+'.
Comment 9 Iain Arnell 2009-08-09 16:23:03 EDT
Yep, that looks good now - would set the flag if Jochen hadn't beaten me to it ;)

APPROVED.
Comment 10 David Hannequin 2009-08-09 18:06:38 EDT
New Package CVS Request
=======================
Package Name: perl-Config-Model
Short Description: Framework to create configuration validation tools and editors 
Owners: hvad
Branches: F-10 F-11
InitialCC: hvad
Comment 11 Kevin Fenzi 2009-08-10 01:42:36 EDT
cvs done.
Comment 12 Fedora Update System 2009-08-11 06:07:32 EDT
perl-Config-Model-0.638-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-Model-0.638-4.fc11
Comment 13 Fedora Update System 2009-08-11 06:10:06 EDT
perl-Config-Model-0.638-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Config-Model-0.638-4.fc10
Comment 14 Fedora Update System 2009-08-11 18:32:55 EDT
perl-Config-Model-0.638-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Model'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8470
Comment 15 Fedora Update System 2009-08-11 18:38:37 EDT
perl-Config-Model-0.638-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Model'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8496
Comment 16 Fedora Update System 2009-08-27 18:53:43 EDT
perl-Config-Model-0.638-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-08-27 18:55:45 EDT
perl-Config-Model-0.638-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.